## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# FunctionSubstringAfter Class Reference

XPath implementation of "substring-after" function. More...

Inheritance diagram for FunctionSubstringAfter:

[legend]
Collaboration diagram for FunctionSubstringAfter:

[legend]
List of all members.

## Public Types

- typedef Function ParentType

## Public Member Functions

- FunctionSubstringAfter ()
- virtual ~FunctionSubstringAfter ()
- virtual XObjectPtr execute (XPathExecutionContext &executionContext, XalanNode *context, const XObjectPtr arg1, const XObjectPtr arg2, const LocatorType *locator) const
    Execute an XPath function object.
- virtual FunctionSubstringAfter * clone (MemoryManagerType &theManager) const
    Create a copy of the function object.

## Protected Member Functions

- virtual const XalanDOMString & getError (XalanDOMString &theResult) const
    Get the error message to report when the function is called with the wrong number of arguments.

## Detailed Description

XPath implementation of "substring-after" function.

## Member Typedef Documentation

typedef Function FunctionSubstringAfter::ParentType

## Constructor & Destructor Documentation

FunctionSubstringAfter::FunctionSubstringAfter | ( |  | ) |

virtual FunctionSubstringAfter::~FunctionSubstringAfter | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual FunctionSubstringAfter* FunctionSubstringAfter::clone | ( | MemoryManagerType & | theManager | ) | const`[virtual]`

| Create a copy of the function object. Returns: pointer to the new object Implements Function.

virtual XObjectPtr FunctionSubstringAfter::execute | ( | XPathExecutionContext & | executionContext,
|  | XalanNode * | context,
|  | const XObjectPtr | arg1,
|  | const XObjectPtr | arg2,
|  | const LocatorType * | locator
| ) | const`[virtual]`

  | Execute an XPath function object. The function must return a valid object. Called if function has two parameters. Parameters:
  executionContext | executing context
  context | current context node
  arg1 | pointer to XObject argument
  arg2 | pointer to XObject argument
  locator | LocatorType instance for the XPath expression that contains the function call
Returns: pointer to the result XObject Reimplemented from Function.

virtual const XalanDOMString& FunctionSubstringAfter::getError | ( | XalanDOMString & | theResult | ) | const`[protected, virtual]`

| Get the error message to report when the function is called with the wrong number of arguments. Returns: function error message Implements Function.

The documentation for this class was generated from the following file:

- FunctionSubstringAfter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.